> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ap create payment run

> Ap create payment run

### Request body

`CreateApPaymentRunRequest`

<ParamField body="bill_ids" type="string[]" required />

<ParamField body="created_by" type="string,null" />

<ParamField body="notes" type="string,null" />

<ParamField body="payment_date" type="string" required>
  RFC 3339 payment date.
</ParamField>

<ParamField body="payment_method" type="string" required>
  One of `check`, `ach`, `wire`, `credit_card`, `cash`, `other`.
</ParamField>

### Responses

<ResponseField name="201" type="ApPaymentRunResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ap/payment-runs' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "bill_ids": [
      "string"
    ],
    "created_by": null,
    "notes": null,
    "payment_date": "string",
    "payment_method": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "approved_by": null,
    "created_at": "string",
    "id": "string",
    "payment_count": 1,
    "payment_date": "string",
    "payment_method": "string",
    "run_number": "string",
    "status": "string",
    "total_amount": "string"
  }
  ```
</ResponseExample>
